#ifndef VBUTTON_H
#define VBUTTON_H

#include <tqpushbutton.h>
#include <tqevent.h>

class VButton : public TQPushButton
{
Q_OBJECT
  
public:
	VButton(TQWidget *parent=0, const char *name=0);
	~VButton();

	unsigned int getKeyCode();
	void setKeyCode(unsigned int keycode);
	void setText(const TQString &text);
	void setShiftText(const TQString &text);
	void setColor(const TQColor &color);

	void reposition(int width, int height);
	void res();

	static double pw;
	static double ph;

private:
	bool press;
	bool inrpt;
	bool inside;

protected:
	unsigned int keycode;
	TQString u;
	TQString l;
	TQRect orig_size;

	void timerEvent ( TQTimerEvent * );

public slots:
	void sendKey();
	void shiftPressed(bool press);

protected slots:
	void enterEvent(TQEvent *e);
	void leaveEvent(TQEvent *e);
	void mousePressEvent(TQMouseEvent *e);
	void mouseReleaseEvent(TQMouseEvent *e);

signals:
	void keyClick(unsigned int keycode);
};

#endif
